[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Message-ID: <20240417164554.3651321-6-jiri@resnulli.us>
Date: Wed, 17 Apr 2024 18:45:53 +0200
From: Jiri Pirko <jiri@...nulli.us>
To: netdev@...r.kernel.org
Cc: kuba@...nel.org,
pabeni@...hat.com,
davem@...emloft.net,
edumazet@...gle.com,
parav@...dia.com,
mst@...hat.com,
jasowang@...hat.com,
xuanzhuo@...ux.alibaba.com,
shuah@...nel.org,
petrm@...dia.com,
liuhangbin@...il.com,
vladimir.oltean@....com,
bpoirier@...dia.com,
idosch@...dia.com,
virtualization@...ts.linux.dev
Subject: [patch net-next v3 5/6] selftests: forwarding: add wait_for_dev() helper
From: Jiri Pirko <jiri@...dia.com>
The existing setup_wait*() helper family check the status of the
interface to be up. Introduce wait_for_dev() to wait for the netdevice
to appear, for example after test script does manual device bind.
Signed-off-by: Jiri Pirko <jiri@...dia.com>
---
v1->v2:
- reworked wait_for_dev() helper to use slowwait() helper
---
tools/testing/selftests/net/forwarding/lib.sh | 13 +++++++++++++
1 file changed, 13 insertions(+)
diff --git a/tools/testing/selftests/net/forwarding/lib.sh b/tools/testing/selftests/net/forwarding/lib.sh
index edaec12c0575..41c0b0ed430b 100644
--- a/tools/testing/selftests/net/forwarding/lib.sh
+++ b/tools/testing/selftests/net/forwarding/lib.sh
@@ -745,6 +745,19 @@ setup_wait()
sleep $WAIT_TIME
}
+wait_for_dev()
+{
+ local dev=$1; shift
+ local timeout=${1:-$WAIT_TIMEOUT}; shift
+
+ slowwait $timeout ip link show dev $dev up &> /dev/null
+ if (( $? )); then
+ check_err 1
+ log_test wait_for_dev "Interface $dev did not appear."
+ exit $EXIT_STATUS
+ fi
+}
+
cmd_jq()
{
local cmd=$1
--
2.44.0
Powered by blists - more mailing lists